Subject: bug#25941: 26.0.50; Different code behavior between using the auto-compiled and evaled versions

From: Kaushal Modi <[email-masked]>
Date: Fri, 03 Mar 2017 12:12:26 +0000

Here's a set of updates that could probably help trace the problem:

- I rebuilt emacs from master using make bootstrap, but the problem
persists.
- I see the problem when I do "M-x avy-goto-line 10" but not when I do "M-:
(avy-goto-line 10)". So the bug triggers only during interactive execution?

A workaround for now is to delete the avy.elc file.

Does the avy--process code not work well with the recently byte compiler
incompatibility in the master branch?
-- 

Kaushal Modi